> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-privacy/processings.md).

# Processings

Operations related to **Processings**, the legal basis definitions used to process user data in compliance with data protection regulations (GDPR). Processings define the legal grounds for data processing and are linked to **User Choices** for consent management, enabling tracking of user consent acceptance and changes through processing tokens.

Relevant documentation:

* [User choices](https://developer.mediarithmics.io/advanced-usages/data-privacy-compliance/user-choices)

## GET /processings/{id}

> Get a processing by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Processings","description":"Operations related to **Processings**, the legal basis definitions used to process user data in compliance with data protection regulations (GDPR). Processings define the legal grounds for data processing and are linked to **User Choices** for consent management, enabling tracking of user consent acceptance and changes through processing tokens.\n\nRelevant documentation:\n- [User choices](https://developer.mediarithmics.io/advanced-usages/data-privacy-compliance/user-choices)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/processings/{id}":{"get":{"summary":"Get a processing by id","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ProcessingResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Processings"],"operationId":"getProcessing","description":"","parameters":[{"required":true,"style":"simple","schema":{"type":"string"},"explode":false,"name":"id","in":"path"},{"schema":{"type":"string"},"style":"form","in":"query","explode":true,"name":"community_id","required":false}]}}},"components":{"schemas":{"ProcessingResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"community_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"purpose":{"type":"string","readOnly":false},"legal_basis":{"$ref":"#/components/schemas/LegalBasis"},"token":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false}},"required":["archived","community_id","id","legal_basis","name","purpose","token"]},"LegalBasis":{"type":"string","enum":["CONSENT","CONTRACTUAL_PERFORMANCE","LEGAL_OBLIGATION","PUBLIC_INTEREST_OR_EXERCISE_OF_OFFICIAL_AUTHORITY","LEGITIMATE_INTEREST"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /processings/{id}

> Update a processing

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Processings","description":"Operations related to **Processings**, the legal basis definitions used to process user data in compliance with data protection regulations (GDPR). Processings define the legal grounds for data processing and are linked to **User Choices** for consent management, enabling tracking of user consent acceptance and changes through processing tokens.\n\nRelevant documentation:\n- [User choices](https://developer.mediarithmics.io/advanced-usages/data-privacy-compliance/user-choices)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/processings/{id}":{"put":{"parameters":[{"schema":{"type":"string"},"name":"id","style":"simple","explode":false,"in":"path","required":true}],"operationId":"updateProcessing","description":"","requestBody":{"description":"The Processing to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessingResource"}}},"required":true},"summary":"Update a processing","tags":["Processings"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ProcessingResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"ProcessingResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"community_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"purpose":{"type":"string","readOnly":false},"legal_basis":{"$ref":"#/components/schemas/LegalBasis"},"token":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false}},"required":["archived","community_id","id","legal_basis","name","purpose","token"]},"LegalBasis":{"type":"string","enum":["CONSENT","CONTRACTUAL_PERFORMANCE","LEGAL_OBLIGATION","PUBLIC_INTEREST_OR_EXERCISE_OF_OFFICIAL_AUTHORITY","LEGITIMATE_INTEREST"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /processings/{id}

> Delete a processing

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Processings","description":"Operations related to **Processings**, the legal basis definitions used to process user data in compliance with data protection regulations (GDPR). Processings define the legal grounds for data processing and are linked to **User Choices** for consent management, enabling tracking of user consent acceptance and changes through processing tokens.\n\nRelevant documentation:\n- [User choices](https://developer.mediarithmics.io/advanced-usages/data-privacy-compliance/user-choices)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/processings/{id}":{"delete":{"parameters":[{"in":"path","required":true,"name":"id","style":"simple","explode":false,"schema":{"type":"string"}},{"style":"form","required":true,"schema":{"type":"string"},"name":"community_id","in":"query","explode":true}],"description":"","tags":["Processings"],"summary":"Delete a processing","operationId":"deleteProcessing","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /processings

> Search processings

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Processings","description":"Operations related to **Processings**, the legal basis definitions used to process user data in compliance with data protection regulations (GDPR). Processings define the legal grounds for data processing and are linked to **User Choices** for consent management, enabling tracking of user consent acceptance and changes through processing tokens.\n\nRelevant documentation:\n- [User choices](https://developer.mediarithmics.io/advanced-usages/data-privacy-compliance/user-choices)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/processings":{"get":{"operationId":"findProcessings","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"count":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ProcessingResource"}},"max_results":{"type":"integer"},"total":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Search processings","parameters":[{"required":false,"name":"community_id","description":"The community owning the processing","explode":true,"style":"form","schema":{"type":"string"},"in":"query"},{"name":"name","explode":true,"description":"The processing name","style":"form","in":"query","required":false,"schema":{"type":"string"}},{"name":"purpose","required":false,"style":"form","explode":true,"schema":{"type":"string"},"in":"query","description":"The processing purpose"},{"name":"legal_basis","schema":{"type":"array","items":{"$ref":"#/components/schemas/LegalBasis"}},"in":"query","description":"The processing legal basis","explode":true,"required":false,"style":"form"},{"description":"The processing technical name","in":"query","name":"technical_name","explode":true,"style":"form","schema":{"type":"string"},"required":false},{"name":"token","in":"query","description":"The processing token","style":"form","schema":{"type":"string"},"required":false,"explode":true},{"style":"form","name":"archived","in":"query","required":false,"schema":{"type":"boolean"},"description":"Retrieve archived processings","explode":true},{"in":"query","schema":{"type":"integer","format":"int32"},"style":"form","description":"Offset from which the search must be performed","name":"first_result","required":false,"explode":true},{"style":"form","required":false,"in":"query","description":"Maximum number of items that may be returned by the query","name":"max_results","schema":{"type":"integer","format":"int32"},"explode":true},{"required":false,"in":"query","schema":{"type":"string"},"style":"form","description":"Keywords used to search processings by name","name":"keywords","explode":true}],"tags":["Processings"],"description":""}}},"components":{"schemas":{"ProcessingResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"community_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"purpose":{"type":"string","readOnly":false},"legal_basis":{"$ref":"#/components/schemas/LegalBasis"},"token":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false}},"required":["archived","community_id","id","legal_basis","name","purpose","token"]},"LegalBasis":{"type":"string","enum":["CONSENT","CONTRACTUAL_PERFORMANCE","LEGAL_OBLIGATION","PUBLIC_INTEREST_OR_EXERCISE_OF_OFFICIAL_AUTHORITY","LEGITIMATE_INTEREST"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /processings

> Create a processing

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Processings","description":"Operations related to **Processings**, the legal basis definitions used to process user data in compliance with data protection regulations (GDPR). Processings define the legal grounds for data processing and are linked to **User Choices** for consent management, enabling tracking of user consent acceptance and changes through processing tokens.\n\nRelevant documentation:\n- [User choices](https://developer.mediarithmics.io/advanced-usages/data-privacy-compliance/user-choices)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/processings":{"post":{"tags":["Processings"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ProcessingResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","summary":"Create a processing","operationId":"createProcessing","requestBody":{"description":"The processing to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessingResource"}}},"required":true}}}},"components":{"schemas":{"ProcessingResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"community_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"purpose":{"type":"string","readOnly":false},"legal_basis":{"$ref":"#/components/schemas/LegalBasis"},"token":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false}},"required":["archived","community_id","id","legal_basis","name","purpose","token"]},"LegalBasis":{"type":"string","enum":["CONSENT","CONTRACTUAL_PERFORMANCE","LEGAL_OBLIGATION","PUBLIC_INTEREST_OR_EXERCISE_OF_OFFICIAL_AUTHORITY","LEGITIMATE_INTEREST"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-privacy/processings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
